package com.ruoyi.common.pay.yst.domain.bizRes.comsumptionApply;

import com.alibaba.fastjson2.JSONObject;
import lombok.Data;

/**
 * 消费申请响应
 * @author wjh
 * 2024/8/2
 */
@Data
public class ConsumptionApplyRes {

    // 订单状态，仅当交易验证方式为“0”时返回，表示订单是否成功
    private String result;

    // 订单失败时的错误信息
    private String respMsg;

    // 通联支付系统生成的唯一订单号
    private String respTraceNum;

    // 商户系统内部的订单号，用于商户识别订单
    private String reqTraceNum;

    // 扩展参数，用于传递额外的信息
    private String extendParams;

    // 渠道参数信息，包含支付详情，如扫码支付信息、JS支付串信息等
    private ChannelParamInfo channelParamInfo;

    // 前端支付参数信息，用于前端展示和支付操作
    private JSONObject chnlFrontParamInfo;

    // 业务返回码，用于标识业务处理的结果
    private String respCode;

    // 详细的业务返回说明，提供更多关于业务处理情况的信息
    private String respMsgDetailed;

}
