package com.ruoyi.common.sms;

import java.util.Objects;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 短信类型
 * @author wjh
 * 2024/3/26
 */
@AllArgsConstructor
@Getter
public enum SmsType {

    CODE("code", "短信验证码", "sms:code:", 600L);

    private final String type;
    private final String name;
    private final String redisKey;  // redis
    private final Long expireTime;  // 过期时间（秒）

    public static SmsType parse(String type) {
        for (SmsType obj : SmsType.values()) {
            if (Objects.equals(obj.getType(), type)) {
                return obj;
            }
        }
        throw new RuntimeException("不存在值为" + type + "的短信类型");
    }
}